Update a stored recipient
Use the Vitesse API to change a stored recipient’s information. You can update recipient details, payment details, or the external stored recipient ID. Choose the operation for the section you want to change.
Endpoints
Choose the base URL for your environment, then append the path for the operation you want to use.
| Environment | Base URL |
|---|---|
| Staging | https://api.staging.vitesse.io/v1/payment-initiation |
| Production – UK Hub | https://api.vitesse.io/v1/payment-initiation |
| Production – US Hub | https://api.us.vitesse.io/v1/payment-initiation |
For help choosing an environment, see Environment.
| Operation | Method and path |
|---|---|
| Update recipient details | PUT /storedRecipients/{id} |
| Update payment details | PUT /storedRecipients/{id}/paymentDetails |
| Update external stored recipient ID | PUT /storedRecipients/{id}/externalId |
For example, to update recipient details in Staging, send a PUT request to https://api.staging.vitesse.io/v1/payment-initiation/storedRecipients/{id}
Replace {id} with the stored recipient's ID.
Access requirements
Configure the following access:
| OAuth scope | Identity client role | Required for |
|---|---|---|
stored-recipients | stored-recipients.manager | Managing stored recipients, including listing, searching, retrieving details and history, retrieving search filters, creating and updating recipients, and activating, deactivating and archiving them. |
For more information about scopes, see Authentication. For information about the access granted by specific roles, see Identity client roles.
Before you begin
- Get the recipient’s
StoredRecipientId. Use List stored recipients or Search stored recipients to find it. - If you are updating payment details, have the required
BankAccountDetailsfor the recipient’s payment method, country and currency.
Send the request
These examples uses the Staging environment.
Send a PUT request to the base URL for your environment with the path for the section you want to update.
Update recipient details
curl --request PUT \
--url 'https://api.staging.vitesse.io/v1/payment-initiation/storedRecipients/7d978f47-1907-4d5d-8f85-8f40a96d21c8' \
--header 'Authorization: Bearer <access-token>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"Name": "Emma Thornton",
"Email": "[email protected]",
"PhoneNumber": "+442079460123",
"Address": {
"StreetName": "High Street",
"BuildingNumber": "10",
"PostCode": "SW1A 1AA",
"TownName": "London",
"CountrySubDivision": "Greater London",
"Country": "GB",
"AddressLine1": "Flat 2"
},
"Person": null,
"Business": null
}'Replace <access-token> with a valid access token that contains the required scope, and any example values with your own details.
Update recipient payment details
curl --request PUT \
--url 'https://api.staging.vitesse.io/v1/payment-initiation/storedRecipients/7d978f47-1907-4d5d-8f85-8f40a96d21c8/paymentDetails' \
--header 'Authorization: Bearer <access-token>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"BankAccountDetails": {
"AccountNumber": "82081232",
"SortCode": "334455"
}
}'Update the external stored recipient ID
curl --request PUT \
--url 'https://api.staging.vitesse.io/v1/payment-initiation/storedRecipients/7d978f47-1907-4d5d-8f85-8f40a96d21c8/externalId' \
--header 'Authorization: Bearer <access-token>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"ExternalStoredRecipientId": "cf137581-caf5-411d-83d4-8975550c2941"
}'Replace {id} with the recipient's StoredRecipientId, and include the JSON body required by that operation. Check the API Reference for the request schema for the operation you choose.
Example response
A successful request returns 200 OK or 204 No Content. The response has no body.
Troubleshoot requests
If the request fails, use the returned HTTP status code to identify the likely cause and corrective action.
Also check that the StoredRecipientID is correct, that you used the path for the section you want to update, and that the request body matches that operation's schema. Ensure the access token contains the required scope and the identity client has the required role.
For error response formats, additional HTTP status codes and error-handling guidance, see Error responses.
Next steps
To check the updated details, use Retrieve a stored recipient.
Updated 18 days ago